#
# spec file for package noflushd (Version 2.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         noflushd
Summary:      Daemon that sends idle disks to sleep
Version:      2.4
Release:      87
Copyright:    GPL
URL:          http://www.jura.uni-tuebingen.de/~s-kod1/noflushd/
Group:        System Environment/Daemons
Source:       noflushd_%{version}-1.tar.gz
Source1:      noflushd.rc.config
Source2:      rc.config.noflushd
Source3:      rcnoflushd
#Patch:        noflushd-%{version}.dif
Buildroot:    /var/tmp/%{name}-build

%description
noflushd is a simple daemon that monitors disk activity and spins down
disks whose idle time exceeds a certain timeout.

Authors:
--------
    Daniel Kobras <kobras@linux.de>

SuSE series: ap

%prep
%setup -n noflushd-%{version}
#%patch 

%build
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/usr --mandir=%{_mandir}
make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/{init.d,rc.config.d}
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
#
install -m 644 %{_sourcedir}/rc.config.noflushd $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{_sourcedir}/noflushd.rc.config $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 755 %{_sourcedir}/rcnoflushd $RPM_BUILD_ROOT/etc/init.d/noflushd
ln -sf ../../etc/init.d/noflushd $RPM_BUILD_ROOT/usr/sbin/rcnoflushd
touch $RPM_BUILD_ROOT/etc/rc.config.d/noflushd.rc.config
#

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.noflushd
  bin/fillup -q -d = etc/rc.config.d/noflushd.rc.config var/adm/fillup-templates/noflushd.rc.config
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.noflushd and "
  echo "update by hand."
fi
sbin/insserv etc/init.d/noflushd

%clean
rm -rf $RPM_BUILD_ROOT

%postun
sbin/insserv etc/init.d/

%files
%defattr(-, root, root)
%doc README
%doc COPYING
%doc ChangeLog
%doc contrib/
/usr/sbin/noflushd
/usr/sbin/rcnoflushd
%config /etc/init.d/noflushd
%{_mandir}/man8/noflushd.*
/var/adm/fillup-templates/*
%config(noreplace) /etc/rc.config.d/noflushd.rc.config

%changelog -n noflushd
* Thu Apr 12 2001 - nadvornik@suse.cz
- changed initscript according to skeleton
* Wed Mar 28 2001 - nadvornik@suse.cz
- update to 2.4
* Fri Mar 02 2001 - nadvornik@suse.cz
- update to 2.3
* Mon Dec 04 2000 - schwab@suse.de
- Use bdflush from glibc.
- Fix cast for 64 bit systems.
* Wed Nov 29 2000 - nadvornik@suse.cz
- moved init script to /etc/init.d
* Wed Nov 22 2000 - nadvornik@suse.cz
- removed runlevel links
- fixed init script
* Wed Oct 25 2000 - nadvornik@suse.cz
- Use getdtablesize() instead of OPEN_MAX
* Mon Oct 23 2000 - nadvornik@suse.cz
- new package
